summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2026-04-22 19:12:45 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2026-04-22 19:12:45 +0000
commit8b76d681a72190b3dbe575894fc1f47df03e5751 (patch)
tree47c37233312eb7baf120e33019bc7a1ba10b6fad /dev-python
parent3bac0c1b93e7e7849ecfe749f6864ed1ad5e018d (diff)
downloadbaldeagleos-repo-8b76d681a72190b3dbe575894fc1f47df03e5751.tar.gz
baldeagleos-repo-8b76d681a72190b3dbe575894fc1f47df03e5751.tar.xz
baldeagleos-repo-8b76d681a72190b3dbe575894fc1f47df03e5751.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/aws-sam-translator/aws-sam-translator-1.108.0.ebuild1
-rw-r--r--dev-python/aws-sam-translator/aws-sam-translator-1.109.0.ebuild1
-rw-r--r--dev-python/clang/Manifest1
-rw-r--r--dev-python/clang/clang-23.0.0_pre20260421.ebuild53
-rw-r--r--dev-python/lit/Manifest1
-rw-r--r--dev-python/lit/lit-23.0.0_pre20260421.ebuild45
-rw-r--r--dev-python/moto/moto-5.1.22-r1.ebuild6
7 files changed, 105 insertions, 3 deletions
diff --git a/dev-python/aws-sam-translator/aws-sam-translator-1.108.0.ebuild b/dev-python/aws-sam-translator/aws-sam-translator-1.108.0.ebuild
index 127daabc3b7f..4f77b82c4334 100644
--- a/dev-python/aws-sam-translator/aws-sam-translator-1.108.0.ebuild
+++ b/dev-python/aws-sam-translator/aws-sam-translator-1.108.0.ebuild
@@ -4,7 +4,6 @@
EAPI=8
DISTUTILS_USE_PEP517=setuptools
-# py3.14: https://github.com/aws/serverless-application-model/issues/3831
PYTHON_COMPAT=( python3_{10..14} )
inherit distutils-r1
diff --git a/dev-python/aws-sam-translator/aws-sam-translator-1.109.0.ebuild b/dev-python/aws-sam-translator/aws-sam-translator-1.109.0.ebuild
index d77de532e010..5c14069dcbfe 100644
--- a/dev-python/aws-sam-translator/aws-sam-translator-1.109.0.ebuild
+++ b/dev-python/aws-sam-translator/aws-sam-translator-1.109.0.ebuild
@@ -4,7 +4,6 @@
EAPI=8
DISTUTILS_USE_PEP517=setuptools
-# py3.14: https://github.com/aws/serverless-application-model/issues/3831
PYTHON_COMPAT=( python3_{10..14} )
inherit distutils-r1
diff --git a/dev-python/clang/Manifest b/dev-python/clang/Manifest
index b318b3f6a830..3bfe262832a9 100644
--- a/dev-python/clang/Manifest
+++ b/dev-python/clang/Manifest
@@ -16,5 +16,6 @@ DIST llvm-project-22.1.3.src.tar.xz 167045212 BLAKE2B 4ee4a2ab5ac5f93b7d727ec4b4
DIST llvm-project-22.1.3.src.tar.xz.sig 119 BLAKE2B b732e64dc681f12815c10ab1c83e492b172189717653f0503c6633e0b3844a57fc39de9cb8fa83cf141f9e8b0736c384b9f04275f025889ed0b466da8448b2f1 SHA512 153a0d174492a0facd061b5cfa3e18dbf946cc0c7d1fb50f4d961410d41cea1f355515fd3e892be676b8b34d61a21962c48acb90aa5d310d05cf6452053e52ad
DIST llvm-project-22.1.4.src.tar.xz 167028880 BLAKE2B cd867371fecc8b4771c919a4d966cec25539dbaff5398e9c62ab5fe2f82b97bcc097f2319194cb796f6ee874b83c001ece5dc2d2e41c8807f88d91e67b71cf61 SHA512 9f9e84110a4bb0f0dd296eaed4acb4fd3a58838efe62bb88671399440ba4750ba8bd7e6d072e61a9946e38e5c9d5e50575b95964850769c51cd517bdf7425bb8
DIST llvm-project-22.1.4.src.tar.xz.sig 119 BLAKE2B ff8004fd03f1d5be9da33ddf19b9c4d9408f0dfb0e9e141eeb3cffec4fd285017f913b8f624a7aa1316c228928abb95832aabea43712507f4f644cf59e757bc8 SHA512 29287637e8c2e40666c6cca054622f894a132925d532017c0f3144573757cce50f85dcc356f48b335dee7115627ff249b287ad821075835314dce0dfbc733b8a
+DIST llvm-project-99457c368586b1debf49f55b3a0684317f5f298d.tar.gz 269907211 BLAKE2B aae5040ece1fa0eacd32468feee9896d614b7e91044ef504df2c80fc57fb42d2db162f01cfdd9c91c7e80fb9fa109440b6887451c96227f47308eb99d9249ef9 SHA512 0e865b56b8f3bf3f7e0fb9a5dfaa97b7d82c915e14474d07d7c036641f68727f2a81179110e3a1c3b424e0233d55589c568fcde2a98aec3a0882ab3a45c62e6c
DIST llvm-project-af6521fb3a36149cd69d83bfdf87ed26e59a14a2.tar.gz 265801058 BLAKE2B 3bbaee50354a8c67f4ebfbcbd0ed5d8658af082602a821d1e6d716d0c2f2952c817d594a1d8f573f0b54176ad18b23742db07d6471c72cca6f1082038ea95419 SHA512 70d3b9f95a3a895450da1d77657108a70d4910f0d78c7310b340bed2a2571b0bf5631dee21e8b4c57ebfc756a9e44cc34c2b6a0ac5354a3d500fcfe198a25849
DIST llvm-project-dd0c5ebe69e580066de100c8c2ba5430a1aeee44.tar.gz 266653424 BLAKE2B db934eaffdaa71d472f6a83b60a0663027f4ecec1e335e296fddbe1c1e6bc4652014c4009a78a4a96f57c61b0976f554d410fde63a582a29b716a75a89a1e850 SHA512 8700d97ef327fae8e124c578537033a72cbc9cfade9a283d59e0b99e7c8a5a9a8427ec93c1324d284547f173967b911d0e4535751fca04d35f92250139970ce1
diff --git a/dev-python/clang/clang-23.0.0_pre20260421.ebuild b/dev-python/clang/clang-23.0.0_pre20260421.ebuild
new file mode 100644
index 000000000000..bdbb6bbefa8b
--- /dev/null
+++ b/dev-python/clang/clang-23.0.0_pre20260421.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..14} )
+inherit llvm.org python-r1
+
+DESCRIPTION="Python bindings for llvm-core/clang"
+HOMEPAGE="https://llvm.org/"
+
+LICENSE="Apache-2.0-with-LLVM-exceptions UoI-NCSA"
+SLOT="0"
+IUSE="test"
+RESTRICT="!test? ( test )"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+# The module is opening libclang.so directly, and doing some blasphemy
+# on top of it.
+DEPEND="
+ >=llvm-core/clang-${PV}:*
+ !llvm-core/llvm:0[clang(-),python(-)]
+ !llvm-core/clang:0[python(-)]
+"
+RDEPEND="
+ ${DEPEND}
+ ${PYTHON_DEPS}
+"
+BDEPEND="
+ ${PYTHON_DEPS}
+ test? (
+ llvm-core/clang:${LLVM_MAJOR}
+ )
+"
+
+LLVM_COMPONENTS=( clang/{bindings/python,include} )
+llvm.org_set_globals
+
+python_test() {
+ # tests rely on results from a specific clang version, so override
+ # the search path
+ local -x CLANG_LIBRARY_PATH=${BROOT}/usr/lib/llvm/${LLVM_MAJOR}/$(get_libdir)
+ local -x CLANG_NO_DEFAULT_CONFIG=1
+ "${EPYTHON}" -m unittest discover -v || die "Tests fail with ${EPYTHON}"
+}
+
+src_test() {
+ python_foreach_impl python_test
+}
+
+src_install() {
+ python_foreach_impl python_domodule clang
+}
diff --git a/dev-python/lit/Manifest b/dev-python/lit/Manifest
index b318b3f6a830..3bfe262832a9 100644
--- a/dev-python/lit/Manifest
+++ b/dev-python/lit/Manifest
@@ -16,5 +16,6 @@ DIST llvm-project-22.1.3.src.tar.xz 167045212 BLAKE2B 4ee4a2ab5ac5f93b7d727ec4b4
DIST llvm-project-22.1.3.src.tar.xz.sig 119 BLAKE2B b732e64dc681f12815c10ab1c83e492b172189717653f0503c6633e0b3844a57fc39de9cb8fa83cf141f9e8b0736c384b9f04275f025889ed0b466da8448b2f1 SHA512 153a0d174492a0facd061b5cfa3e18dbf946cc0c7d1fb50f4d961410d41cea1f355515fd3e892be676b8b34d61a21962c48acb90aa5d310d05cf6452053e52ad
DIST llvm-project-22.1.4.src.tar.xz 167028880 BLAKE2B cd867371fecc8b4771c919a4d966cec25539dbaff5398e9c62ab5fe2f82b97bcc097f2319194cb796f6ee874b83c001ece5dc2d2e41c8807f88d91e67b71cf61 SHA512 9f9e84110a4bb0f0dd296eaed4acb4fd3a58838efe62bb88671399440ba4750ba8bd7e6d072e61a9946e38e5c9d5e50575b95964850769c51cd517bdf7425bb8
DIST llvm-project-22.1.4.src.tar.xz.sig 119 BLAKE2B ff8004fd03f1d5be9da33ddf19b9c4d9408f0dfb0e9e141eeb3cffec4fd285017f913b8f624a7aa1316c228928abb95832aabea43712507f4f644cf59e757bc8 SHA512 29287637e8c2e40666c6cca054622f894a132925d532017c0f3144573757cce50f85dcc356f48b335dee7115627ff249b287ad821075835314dce0dfbc733b8a
+DIST llvm-project-99457c368586b1debf49f55b3a0684317f5f298d.tar.gz 269907211 BLAKE2B aae5040ece1fa0eacd32468feee9896d614b7e91044ef504df2c80fc57fb42d2db162f01cfdd9c91c7e80fb9fa109440b6887451c96227f47308eb99d9249ef9 SHA512 0e865b56b8f3bf3f7e0fb9a5dfaa97b7d82c915e14474d07d7c036641f68727f2a81179110e3a1c3b424e0233d55589c568fcde2a98aec3a0882ab3a45c62e6c
DIST llvm-project-af6521fb3a36149cd69d83bfdf87ed26e59a14a2.tar.gz 265801058 BLAKE2B 3bbaee50354a8c67f4ebfbcbd0ed5d8658af082602a821d1e6d716d0c2f2952c817d594a1d8f573f0b54176ad18b23742db07d6471c72cca6f1082038ea95419 SHA512 70d3b9f95a3a895450da1d77657108a70d4910f0d78c7310b340bed2a2571b0bf5631dee21e8b4c57ebfc756a9e44cc34c2b6a0ac5354a3d500fcfe198a25849
DIST llvm-project-dd0c5ebe69e580066de100c8c2ba5430a1aeee44.tar.gz 266653424 BLAKE2B db934eaffdaa71d472f6a83b60a0663027f4ecec1e335e296fddbe1c1e6bc4652014c4009a78a4a96f57c61b0976f554d410fde63a582a29b716a75a89a1e850 SHA512 8700d97ef327fae8e124c578537033a72cbc9cfade9a283d59e0b99e7c8a5a9a8427ec93c1324d284547f173967b911d0e4535751fca04d35f92250139970ce1
diff --git a/dev-python/lit/lit-23.0.0_pre20260421.ebuild b/dev-python/lit/lit-23.0.0_pre20260421.ebuild
new file mode 100644
index 000000000000..2cc4b6485aed
--- /dev/null
+++ b/dev-python/lit/lit-23.0.0_pre20260421.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1 llvm.org
+
+DESCRIPTION="A stand-alone install of the LLVM suite testing tool"
+HOMEPAGE="https://llvm.org/"
+
+LICENSE="Apache-2.0-with-LLVM-exceptions UoI-NCSA"
+SLOT="0"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+# Tests require 'FileCheck' and 'not' utilities (from llvm)
+BDEPEND="
+ test? (
+ dev-python/psutil[${PYTHON_USEDEP}]
+ llvm-core/llvm
+ )
+"
+
+LLVM_COMPONENTS=( llvm/utils/lit )
+llvm.org_set_globals
+
+# TODO: move the manpage generation here (from llvm-core/llvm)
+
+src_prepare() {
+ # flaky test
+ # https://github.com/llvm/llvm-project/issues/72022
+ rm tests/progress-bar.py || die
+
+ cd "${WORKDIR}" || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local -x LIT_PRESERVES_TMP=1
+ local litflags=$(get_lit_flags)
+ ./lit.py ${litflags//;/ } tests || die
+}
diff --git a/dev-python/moto/moto-5.1.22-r1.ebuild b/dev-python/moto/moto-5.1.22-r1.ebuild
index 136f4e5ac94d..6a8412e111be 100644
--- a/dev-python/moto/moto-5.1.22-r1.ebuild
+++ b/dev-python/moto/moto-5.1.22-r1.ebuild
@@ -78,6 +78,9 @@ python_test() {
tests/test_core/test_request_passthrough.py::test_passthrough_calls_for_wildcard_urls
tests/test_firehose/test_firehose_put.py::test_put_record_http_destination
tests/test_firehose/test_firehose_put.py::test_put_record_batch_http_destination
+ # Appears to be internet issues with timing out
+ tests/test_s3/test_multiple_accounts_server.py::TestAccountIdResolution::test_with_custom_request_header
+ tests/test_s3/test_server.py::test_s3_server_post_cors_multiple_origins
)
local EPYTEST_IGNORE=(
# require joserfc
@@ -99,5 +102,6 @@ python_test() {
local -x TZ=UTC
local -x AWS_DEFAULT_REGION=us-east-1
- epytest -m 'not network and not requires_docker'
+ # -o timeout_func_only=true: bad interaction with pytest-rerunfailures and pytest-timeout leads to a permanent hang otherwise
+ epytest -m 'not network and not requires_docker' -o timeout_func_only=true
}